<template>
  <div class="public-bounced" v-draw v-if="flag">
    <div class="public-bounced-title">
      <span>{{ displayContentTitle }}</span>
      <i class="el-icon-circle-close" @click="closePopup"></i>
    </div>
    <div class="public-bounced-content">
      <div class="public-bounced-content-left">
        <GasTab :displayContentTab="displayContentTab"></GasTab>
        <div class="public-bounced-content-left-bottom">
          <PublicTable v-if="value === 'gufei'" :displayContentTable="displayContentTable"></PublicTable>
<!--          <GasECharts v-else></GasECharts>-->
          <PublicSwitch v-else></PublicSwitch>
        </div>
      </div>
      <div class="public-bounced-content-right">
        <GasVideo></GasVideo>
      </div>
    </div>
  </div>
</template>

<script>

import '@/components/BaseNav/SolidWaste/directive/dir'
import GasTab from '@components/BaseNav/PublicBounced/GasComponents/PublicTabs'
import PublicTable from '@components/BaseNav/PublicBounced/GasComponents/PublicTable'
import GasVideo from '@components/BaseNav/PublicBounced/GasComponents/PublicVideo'
import PublicSwitch from './GasComponents/PublicSwitch'

export default {
  name: 'PublicBounced',
  components: {
    GasTab,
    PublicTable,
    GasVideo,
    PublicSwitch
  },
  data () {
    return {
      displayContentTitle: '',
      displayContentTab: '',
      displayContentTable: '',
      flag: false
    }
  },
  methods: {
    setData (dataBasic, dataDetailed, value) {
      // dataBasic.forEach(item => {
      //   this.displayContentTitle = item.StoragePlaceName
      // })
      this.displayContentTab = dataBasic
      this.displayContentTable = dataDetailed
      this.flag = true
      this.value = value
    },
    closePopup () {
      this.flag = false
    }
  }
}
</script>

<style lang="less" scoped>
.public-bounced {
  width: 75%;
  z-index: 999;
  position: absolute;
  bottom: 5%;
  left: 15%;
  background-color: #002432;
  border: 1px #9fc5c8 solid;

  .public-bounced-title {
    border: 1px #a4c0d8 solid;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px 0;

    span {
      color: #f4f7ff;
      margin: 0 15px;
      font-size: 14px;
    }

    i {
      color: white;
      margin: 0 15px;
      font-size: 22px;
    }
  }

  .public-bounced-content {
    margin: 15px auto;
    display: flex;
    //align-items: center;
    justify-content: space-around;
    padding: 10px;

    .public-bounced-content-left {
      flex: 3;
      height: 100%;
      margin-right: 10px;
    }

    .public-bounced-content-right {
      flex: 2;
      //width: 48%;
      height: 100%;
    }
  }
}
</style>
